%Recursive Zonal Equal Area Sphere Partitioning: Properties of EQ point sets
%
% Recursive Zonal Equal Area (EQ) Sphere Partitioning Toolbox.
% Release 1.10 2005-06-26
%
%Functions by category
%=====================
%
% Energy and minimum distance
%  eq_energy_dist         Energy and minimum distance of an EQ point set
%  point_set_energy_dist  Energy and minimum distance of a point set
%
% Energy
%  eq_energy_coeff        Coefficient in expansion of energy of an EQ point set
%  point_set_energy_coeff Coefficient in expansion of energy of a point set
%  calc_energy_coeff      Coefficient of second term in expansion of energy
%
% Minimum distance
%  eq_min_dist            Minimum distance between center points of an 
%                             EQ partition
%  point_set_min_dist     Minimum distance between points of a point set
%
%  eq_dist_coeff          Coefficient of minimum distance of an EQ point set
%  point_set_dist_coeff   Coefficient of minimum distance of a point set
%  calc_dist_coeff        Coefficient of minimum distance
%
% Spherical cap packing density
%  eq_packing_density     Density of packing given by minimum distance of 
%                             EQ point set
%  point_set_packing_density  Density of packing given by minimum distance of 
%                             a point set
%  calc_packing_density   Density of packing given by minimum distance
%
% Hook for user-defined properties
%  eq_point_set_property  Property of an EQ point set

% Copyright 2004-2005 Paul Leopardi for the University of New South Wales.
% $Revision 1.10 $ $Date 2005-06-26 $
% Documentation files renamed
% $Revision 1.00 $ $Date 2005-02-13 $
%
% For licensing, see COPYING.
% For references, see AUTHORS.
% For revision history, see CHANGELOG.
