%Recursive Zonal Equal Area Sphere Partitioning: Utilities
%
% Recursive Zonal Equal Area (EQ) Sphere Partitioning Toolbox.
% Release 1.10 2005-06-01
%
%Functions
%=========
%
%  area_of_cap            Area of spherical cap
%  area_of_collar         Area of spherical collar
%  area_of_ideal_region   Area of one region of an EQ partition
%  area_of_sphere         Area of sphere
%  cart2polar2            Convert Cartesian to spherical polar coordinates on S^2
%  euc2sph_dist           Convert Euclidean to spherical distance
%  euclidean_dist         Euclidean distance between two points
%  fatcurve               Create a parameterized cylindrical surface
%  haslight               Check if axis handle has a light attached
%  ideal_collar_angle     Ideal angle for spherical collars of an EQ partition
%  illustration_options   Options for illustrations of EQ partitions
%  partition_options      Options for EQ partition
%  polar2cart             Convert spherical polar to Cartesian coordinates
%  sph2euc_dist           Convert spherical to Euclidean distance
%  spherical_dist         Spherical distance between two points on the sphere
%  sradius_of_cap         Spherical radius of spherical cap of given area
%  volume_of_ball         Volume of the unit ball

% Copyright 2004-2005 Paul Leopardi for the University of New South Wales.
% $Revision 1.10 $ $Date 2005-06-01 $
% Function changed name from e2s to euc2sph_dist
% Function changed name from s2e to sph2euc_dist
% Function changed name from s2x to polar2cart
% Function changed name from x2s2 to cart2polar2
% Add new function fatcurve
% Add new function haslight
% Clean up descriptions
% Documentation files renamed
% $Revision 1.00 $ $Date 2005-02-13 $
%
% For licensing, see COPYING.
% For references, see AUTHORS.
% For revision history, see CHANGELOG.

